Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.client
Class HandshakeCompletedListenerImpl

    java.lang.Object
      com.sun.appserv.management.client.HandshakeCompletedListenerImpl

All Implemented Interfaces:
  java.util.EventListener, javax.net.ssl.HandshakeCompletedListener

public class HandshakeCompletedListenerImpl
extends java.lang.Object
implements javax.net.ssl.HandshakeCompletedListener

A default HandshakeCompletedListener which remembers the last HandshakeCompletedEvent that occured. Also supports wrapping another HandshakeCompletedListener.

Constructor Summary
`HandshakeCompletedListenerImpl()`
`HandshakeCompletedListenerImpl(javax.net.ssl.HandshakeCompletedListener listener)` Create a new instance which chains to the specified HandshakeCompletedListener when handshakeCompleted() is called.

Method Summary
`javax.net.ssl.HandshakeCompletedEvent` | `getLastEvent()` Get the last HandshakeCompletedEvent which occurred, possibly null.
`void` | `handshakeCompleted(javax.net.ssl.HandshakeCompletedEvent event)` Remember the HandshakeCompletedEvent, then call the chained listener (if any) with the same event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandshakeCompletedListenerImpl

    public HandshakeCompletedListenerImpl()

### HandshakeCompletedListenerImpl

    public HandshakeCompletedListenerImpl(javax.net.ssl.HandshakeCompletedListener listener)

  Create a new instance which chains to the specified HandshakeCompletedListener when handshakeCompleted() is called.

Parameters:
  `listener` -

Method Detail

### handshakeCompleted

    public void handshakeCompleted(javax.net.ssl.HandshakeCompletedEvent event)

  Remember the HandshakeCompletedEvent, then call the chained listener (if any) with the same event.

  Specified by:
    `handshakeCompleted` in interface `javax.net.ssl.HandshakeCompletedListener`
  Parameters:
    `event` -

### getLastEvent

    public javax.net.ssl.HandshakeCompletedEvent getLastEvent()

  Get the last HandshakeCompletedEvent which occurred, possibly null.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.